from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.conversations.update(conversation_id="conv_abc123", metadata={
"session_id": "sess_abc123",
"user_type": "premium",
"status": "active",
})
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.conversations.update({
conversationId: "conv_abc123",
update: {
metadata: {
"session_id": "sess_abc123",
"user_type": "premium",
"status": "active",
},
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using System.Collections.Generic;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.Conversations.UpdateAsync(
conversationId: "conv_abc123",
body: new Update() {
Metadata = new Dictionary<string, string>() {
{ "session_id", "sess_abc123" },
{ "user_type", "premium" },
{ "status", "active" },
},
}
);
// handle responsecurl --request POST \
--url https://apigw.mka1.com/api/v1/llm/conversations/{conversation_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"metadata": {
"session_id": "sess_abc123",
"user_type": "premium",
"status": "active"
}
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({metadata: {session_id: 'sess_abc123', user_type: 'premium', status: 'active'}})
};
fetch('https://apigw.mka1.com/api/v1/llm/conversations/{conversation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "conv_abc123",
"object": "conversation",
"created_at": 1704067200,
"metadata": {
"session_id": "sess_abc123",
"user_type": "premium",
"status": "active"
}
}Atualizar uma conversa
Atualizar os metadados de uma conversa.
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.conversations.update(conversation_id="conv_abc123", metadata={
"session_id": "sess_abc123",
"user_type": "premium",
"status": "active",
})
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.conversations.update({
conversationId: "conv_abc123",
update: {
metadata: {
"session_id": "sess_abc123",
"user_type": "premium",
"status": "active",
},
},
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
using System.Collections.Generic;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.Conversations.UpdateAsync(
conversationId: "conv_abc123",
body: new Update() {
Metadata = new Dictionary<string, string>() {
{ "session_id", "sess_abc123" },
{ "user_type", "premium" },
{ "status", "active" },
},
}
);
// handle responseAutorizações
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Cabeçalhos
Optional external end-user identifier forwarded by the API gateway.
Parâmetros de caminho
O ID da conversa
Corpo
Conjunto de 16 pares chave-valor para atualizar.
Show child attributes
Show child attributes
Resposta
OK
O ID único da conversa
O tipo de objeto, sempre 'conversa'
Timestamp Unix de quando a conversa foi criada
Timestamp Unix de quando a conversa foi excluída suavemente, ou nulo se não foi excluída.
Conjunto de 16 pares chave-valor. Chaves com no máximo 64 caracteres, valores com no máximo 512 caracteres.
Show child attributes
Show child attributes
Identidade do proprietário da conversa. Pode ser um hash SHA256 ou userId:externalUserId bruto, dependendo do MODO_DE_IDENTIDADE.
Esta página foi útil?